The deprecated items are just notices.  You can either upgrade to the SVN version that has replaced the deprecated statements or lower the logging level of your server.

But the path specification is an error that you must fix.  It may be an invalid specification in initialize/ini.inc.php.  But it is more likely that you haven't specified the correct path to mysql. You need to fix it or use the alternative installation method (of creating the database manually with install*.sql)

--Rick